#! /usr/bin/python3

# rospy for the subscriber
import rospy
from base_station.srv import WaypointControl
import sys

def main(name, action):

    # read in parameters from command line
    namespc = str(name)
    action = int(action)

    rospy.init_node("waypointControl_" + namespc + "_" + str(action), anonymous = True)

    srvName = namespc + "/waypoint_control"
    rospy.loginfo("calling WaypointControl control service...")
    rospy.loginfo("namespace: " + namespc)
    rospy.loginfo("action: " + str(action))

    # execute action by service call
    rospy.wait_for_service(srvName)
    service_proxy = rospy.ServiceProxy(srvName, WaypointControl)
    response = service_proxy(data = action) # go baby go
    rospy.loginfo(response)

if __name__ == "__main__":
    main(sys.argv[1], sys.argv[2])
