#!/usr/bin/python3
import rospy
from sensor_msgs.msg import NavSatFix
import numpy as np

def normalize(v):
    norm = np.linalg.norm(v)
    if norm == 0:
       return v
    return v / norm

if __name__ == "__main__":
    rospy.init_node("gps_streamer")
    pub = rospy.Publisher("dji_osdk_ros/gps_position", NavSatFix, queue_size=1)
    updateRate = rospy.Rate(20)
    index = 0
    seq = 0

    anchorPoint = [37.223162, -80.432770]

    rate = rospy.Rate(10) # publish at 10hz
    while not rospy.is_shutdown():
        gpsMsg = NavSatFix()
        gpsMsg.header.seq = seq
        gpsMsg.latitude = anchorPoint[0] + (np.random.rand() - 0.5)*0.0001
        gpsMsg.longitude = anchorPoint[1] + (np.random.rand() - 0.5)*0.0001
        gpsMsg.altitude = 660.0

        pub.publish(gpsMsg)
        seq += 1
        updateRate.sleep()
